nested_parent:
  label: Parent
  namespace: Tests/Inheritance
  use: '@tests/children/_parent.twig'
  visibility: storybook
  dependencies:
    - nested_child
  fields:
    child_a:
      type: pattern
      label: Child A
      preview:
        - id: nested_child
    child_b:
      type: pattern
      label: Child B
      preview:
        - id: nested_child
  variants:
    __default:
      label: Default
    happy_children:
      label: Happy children
      fields:
        child_a:
          id: nested_child
          fields:
            text: I am happy
        child_b:
          id: nested_child
          fields:
            text: I am happy too
    sad_children:
      label: Sad children
      fields:
        child_a:
          id: nested_child
          fields:
            text: I'm so sad
        child_b:
          id: nested_child
          fields:
            text: Yeh, me too :(
